/*

  (C) 1997 Marco Falcioni UCLA

  wrapper for splines... keeps things together...

*/

#ifndef __spline_h
#define __spline_h

#include <stdio.h>

struct Spline {
  double * X;
  double * Y;
  double * Y2;
  int n;
};

struct Spline * new_Spline(int n);
void delete_Spline(struct Spline * me);
void write_Spline(const struct Spline * me, FILE * stream);
void print_Spline(const struct Spline * me, FILE * stream);
struct Spline * read_Spline(char * file);
void shift_Spline(struct Spline * me, double amount);
#endif
