/*

  (C) 1999 Marco Falcioni (falcioni@ucla.edu)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
  USA.

  http://www.fsf.org/copyleft/gpl.html

*/

#include "filters.h"
#include "conf.h"

int not_four_coordinated(struct Conf * conf, int unique)
{
  int status = 0, i;

  for(i = 0; i < unique; i++) {
    /*    fprintf(stderr, "%d ", (int)conf->ene[5][i]); */
    if((int)conf->ene[5][i] > 5) {
      status = 1;
      break;
    }
  }
  /*  fprintf(stderr, "\n"); */
  return status;

}

int not_merged_right(struct Conf * conf, int density, int unique)
{

  int status = 0, i, k = 0;
  
  for(i = 0; i < unique; i++) {
    k += conf->ene[7][i];
  }

  if(k != density) status = 1;

  return status;

}
