/*

  Marco Falcioni (C) 1997

  data for scattering parameters

*/

#ifndef __scat_par_h
#define __scat_par_h


/* includes */

#include <stdio.h>


struct SP_entry {
  char * label;
  char * elem;
  int charge;
  double params[12];
  unsigned int index;
}



/* function prototypes */
struct SP_entry * new_SP_entry(void) {
  unsigned i;
  struct SP_entry * this;

  this = (struct SP_entry *) malloc(sizeof(struct SP_entry));

  this->label = 0;
  this->elem = 0;
  this->charge = 0;
  
  for(i = 0; i < 12; i++) {
    this->params[i] = 0;
  }
  this->index = 0;
  return this;
}


#endif
