/*

  test the spline code of GJ

  (C) 1997 Marco Falcioni (falcioni@ucla.edu)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
  USA.

  http://www.fsf.org/copyleft/gpl.html

*/

#include <stdio.h>
#include "interpolation.h"
#include "error.h"
#include "spline.h"

int main (int argc, char * argv)
{
  double delta, step, xx;
  double x[200];
  double y[200];
  struct Spline * S;
  double * y2;
  char line[1024];
  int i,k,l;

  i = 0;
  while(fgets(line, sizeof(line), stdin) != 0) {
    double X,Y;
    sscanf(line,"%lf %lf", &X, &Y);
    x[i] = X;
    y[i] = Y;
    i++;
    if(i==53) break;
  }

  S = new_Spline(53);

  y2 = new_spline_y2(x,y,i);

  for(i = 0; i < 53; i++) {
    S->X[i] = x[i];
    S->Y[i] = y[i];
    S->Y2[i] = y2[i];
  }

  print_Spline(S,stdout);


  return 0;

  delta = x[i-1] - x[0];
  if(delta < 0) {
    push_generic_error("test_spline","x not ordered");
    exit_clean();
  }

  step = delta/400.;

  for(xx = x[0]; xx< x[i-1]; xx += step) {
    printf("%f %f %d %d\n",xx, interp_spline( x, y, y2, i, xx, &k,&l),k,l); 
  }
  return 0;

}
